%define Werror_cflags %nil

%define name	efax-gtk
%define version 3.2.9
%define release 1

Name: 	 	%{name}
Summary: 	GTK2 frontend for efax
Version: 	%{version}
Release: 	%{release}

Source0:	http:/prdownloads.sourceforge.net/efax-gtk/%{name}-%{version}.src.tgz
URL:		http://efax-gtk.sourceforge.net
License:	GPLv2
Group:		Communications
BuildRequires:	pkgconfig
BuildRequires:  gtk2-devel
BuildRequires:  sigc++2.0-devel
BuildRequires:  desktop-file-utils
BuildRequires:	libtiff-devel
BuildRequires:	libdbus-glib-1-devel
BuildRequires:	c++-gtk-utils-devel

Requires:	ghostscript
Requires:       cups
Requires:       gv

%description
Efax-gtk provides a GUI frontend for the efax fax program. It interfaces with
efax directly, replacing the scripts supplied with efax, and can be used for
receiving and sending faxes, and for viewing, printing, and managing faxes
which have been received and sent.

%prep
%setup -q
# since users can't write to /var/lock
perl -p -i -e 's|/var/lock|/tmp||g' efax-gtkrc
# /dev/modem is quite common
perl -p -i -e 's|ttyS1|modem||g' efax-gtkrc

%build
%configure2_5x
perl -p -i -e 's/install-data-hook//g' Makefile efax-gtk-faxfilter/Makefile
perl -p -i -e 's/usr\/local/usr/g' Makefile
perl -p -i -e 's/efax-gtk.png/efax-gtk/g' efax-gtk.desktop
%make

%install
%makeinstall_std

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Communications-Fax" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %name

%post
touch /tmp/faxfile.ps
chmod a+rw /tmp/faxfile.ps

%files -f %{name}.lang
%doc AUTHORS README BUGS COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_datadir}/applications/*
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{name}.png
%{_localstatedir}/spool/fax/*


%changelog
* Tue Jan 17 2012 Alexander Khrukin <akhrukin@mandriva.org> 3.2.9-1
+ Revision: 761941
- version update 3.2.9
- version update 3.2.9

* Tue Oct 19 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.2.5-1mdv2011.0
+ Revision: 586705
- update to 3.2.5

* Sun Sep 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.2.4-1mdv2011.0
+ Revision: 581044
- add BR, libdbus-glib-1-devel
- update to 3.2.4
- update license tag
- update file list
- clean spec and remove the "mdkversion < 200900" bits, too old now

* Fri Aug 21 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.20-1mdv2010.0
+ Revision: 419089
- update to new version 3.0.20

* Tue Jul 28 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.19-1mdv2010.0
+ Revision: 402570
- BuildRequires: libtiff-devel
- Update to new version 3.0.19

  + Jérôme Soyer <saispo@mandriva.org>
    - New upstream release
    - New upstream release

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Sat Nov 17 2007 Jérôme Soyer <saispo@mandriva.org> 3.0.16-1mdv2008.1
+ Revision: 109349
- New release

* Tue Jul 31 2007 Jérôme Soyer <saispo@mandriva.org> 3.0.15-1mdv2008.0
+ Revision: 56953
- New release 3.0.15

